Jump to content

Template:CategoryButton/styles.css: Difference between revisions

From Scampsopedia
No edit summary
No edit summary
 
(10 intermediate revisions by the same user not shown)
Line 1: Line 1:
.scamp-category-button {
.scamp-category-button {
display: inline-flex;
display: inline-flex;
box-shadow: 1px 2px 7px 0px rgba(0,0,0,0.3);
border-radius: 8px;
}
.scamp-category-button .scamp-link-button{
box-shadow: none;
}
.scamp-category-button .scamp-category-button__category {
flex: 1;
}
.scamp-category-button .scamp-category-button__category {
border-top-right-radius: 0px;
border-bottom-right-radius: 0px;
}
.scamp-category-button .scamp-category-button__category:hover + .scamp-category-button__random {
border-left-color: var(--scamp-primary-border--hover);
}
.scamp-category-button .scamp-category-button__random {
margin-left: -1px;
border-top-left-radius: 0px;
border-bottom-left-radius: 0px;
}
}


Line 7: Line 30:
}
}


.scamp-category-button__random a {
.scamp-category-button .scamp-category-button__random a {
   padding: 0.75rem;
   padding: 0.75rem;
}
}
.scamp-category-button__random a svg {
.scamp-category-button .scamp-category-button__random a svg {
   display: block;
   display: block;
}
}

Latest revision as of 16:36, 14 January 2026

.scamp-category-button {
	display: inline-flex;
	box-shadow: 1px 2px 7px 0px rgba(0,0,0,0.3);
	border-radius: 8px;
}

.scamp-category-button .scamp-link-button{ 
	box-shadow: none;
}
.scamp-category-button .scamp-category-button__category {
	flex: 1;
}

.scamp-category-button .scamp-category-button__category {
	border-top-right-radius: 0px;
	border-bottom-right-radius: 0px;
}
.scamp-category-button .scamp-category-button__category:hover + .scamp-category-button__random {
	border-left-color: var(--scamp-primary-border--hover);
}

.scamp-category-button .scamp-category-button__random {
	margin-left: -1px;
	border-top-left-radius: 0px;
	border-bottom-left-radius: 0px;
}

.scamp-category-button .scamp-category-button__random a {
	display: block;
}

.scamp-category-button .scamp-category-button__random a {
  padding: 0.75rem;
}
.scamp-category-button .scamp-category-button__random a svg {
  display: block;
}